Smart wallets
Get Smart Wallet Details
This endpoint retrieves the details of a user's smart wallet, including the date the wallet was registered with this project, or _null_ if it's not registered yet.
Authorization
x-api-key x-api-key<token>
In: header
Path Parameters
walletAddress*string
Public address of the Smart Wallet. This is where the funds remain and not the Externally Owned Account (EOA) that is the owner of the smart wallet.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/wallets/0x133700000000000000000000000000000000c0de"{ "wallet": { "metadata": { "key": "value" }, "walletAddress": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464", "externallyOwnedAccount": "0x133700000000000000000000000000000000c0de", "factory": "0x0000000000400cdfef5e2714e63d8040b700bc24", "implementation": "0x8e8e658e22b12ada97b402ff0b044d6a325013c7", "eip7702": false, "deployed": [ { "chain": { "id": 137, "name": "POLYGON", "logo": "https://logopolygon.com" }, "deployed": true } ], "salt": 12345, "registeredAt": "2025-08-06T16:57:09.249Z", "lastTransactionAt": "2025-08-06T16:57:09.249Z" }}Get Smart Wallet GET
This endpoint retrieves the details of a user's smart wallet, including the date the wallet was registered with this project, or _null_ if it's not registered yet.
Get Smart Wallet Portfolio GET
Get the portfolio of a smart wallet by its account abstraction address. The portfolio is a list of the user's balances in different tokens.